#!/bin/bash

# SETTINGS
## 04 - scan contact sheets
DEST_FRAMES_PATH="./scanFrames"
SCAN_RESOLUTION="300"

# clean up old scans and frames
echo 
echo first removing old frames
rm -r "$DEST_FRAMES_PATH"
mkdir -p $DEST_FRAMES_PATH

# begin scanning
FRAMES_PER_PAGE=$((10 * 14))
PAGE_COUNT=0
MORE_PAGES=y
while [ "$MORE_PAGES" = "y" ]; do
  FIRST_FRAMENUM=$(( PAGE_COUNT * FRAMES_PER_PAGE ))
  LAST_FRAMENUM=$(( (PAGE_COUNT + 1) * FRAMES_PER_PAGE ))

  echo 
  echo "scanning.... then...."
  echo "extracting $FRAMES_PER_PAGE frames to $DEST_FRAMES_PATH"
  echo "frames numbered $FIRST_FRAMENUM to $LAST_FRAMENUM"

  # full a4 is -x 210 -y 297
  scanimage -l 2 -t 1 -x 203 -y 292 \
  --calibration-cache=yes \
  --resolution $SCAN_RESOLUTION \
  | convert - -monitor \
  \( -scale 2400x3500\! \) \
  -crop 10x14+0+0@ +repage \
  -scene $FIRST_FRAMENUM \
  "${DEST_FRAMES_PATH}/%010d.png"

  # increment page count with (( )) doubleparen arithmetic
  (( PAGE_COUNT += 1 ))

  echo "scanned $PAGE_COUNT pages so far" 
  read -e -p "More pages?: " -i "y" MORE_PAGES
done

echo
echo Done
