#!/bin/bash

# SETTINGS
read -e -p "Path to find source frames?: " -i "./scanFrames" SOURCE_FRAMES_PATH

## step 01 - resize frames to a common frame size
## NOTE the escaped bang "\!" forces resize, ignoring aspect ratio
echo
echo resizing frames in $SOURCE_FRAMES_PATH
mogrify -monitor -sample 320x240\! -format png -type truecolor -define png:format=png24 "${SOURCE_FRAMES_PATH}/*.png"

## step 02 - (re)assemble frames to video
SOURCE_FRAMES_PATH="./scanFrames"
SOURCE_FPS=10
DEST_FILE="./reassembled.flv"
echo 
echo removing old assembled video
rm -r "$DEST_FILE"
echo 
echo assembling frames to video
avconv -y -f image2 -r $SOURCE_FPS -i $SOURCE_FRAMES_PATH/\%010d.png -b:v 3000000 "$DEST_FILE"

echo
echo previewing video
VIDEO_FILE="./reassembled.flv"
totem $VIDEO_FILE

